- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions

# QAbstractTableModel Class Reference

Search for all occurrences

## Detailed Description

Definition at line 341 of file qabstractitemmodel.h.

`#include <qabstractitemmodel.h>`

Inheritance diagram for QAbstractTableModel:
[legend]

List of all members.

## Public Member Functions
| QAbstractTableModel (QObject *parent=0)
| ~QAbstractTableModel ()
QModelIndex | index (int row, int column, const QModelIndex &parent=QModelIndex()) const
bool | dropMimeData (const QMimeData *data, Qt::DropAction action, int row, int column, const QModelIndex &parent)
## Protected Member Functions
| QAbstractTableModel (QAbstractItemModelPrivate &dd, QObject *parent)

## Constructor & Destructor Documentation

QAbstractTableModel | ( | QObject * | parent = `0` | ) | `[explicit]`

~QAbstractTableModel | ( |  | ) |

QAbstractTableModel | ( | QAbstractItemModelPrivate & | dd,
|  | QObject * | parent
| ) |  | `[protected]`

## Member Function Documentation

QModelIndex index | ( | int | row,
|  | int | column,
|  | const QModelIndex & | parent = `QModelIndex()`
| ) |  | const `[virtual]`

Search for all occurrences

Implements QAbstractItemModel.

bool dropMimeData | ( | const QMimeData * | data,
|  | Qt::DropAction | action,
|  | int | row,
|  | int | column,
|  | const QModelIndex & | parent
| ) |  | `[virtual]`

Search for all occurrences

Reimplemented from QAbstractItemModel.

The documentation for this class was generated from the following file:

- QtCore/qabstractitemmodel.h

QAbstractTableModel QAbstractTableModel QAbstractTableModel QAbstractTableModel QAbstractTableModel QAbstractTableModel QAbstractTableModel QAbstractTableModel QAbstractTableModel QAbstractTableModel
QAbstractTableModel QAbstractTableModel QAbstractTableModel QAbstractTableModel QAbstractTableModel QAbstractTableModel QAbstractTableModel QAbstractTableModel QAbstractTableModel QAbstractTableModel